## plasma-remotecontrollers 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(plasma-remotecontrollers)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.68.0")

find_package(ECM CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    WaylandClient
)
find_package(KF5 ${KF_MIN_VERSION} COMPONENTS REQUIRED
    Config
    Notifications
    I18n
    Solid
    CoreAddons
    Declarative
    DBusAddons
    KCMUtils
    Package
    WindowSystem
)
find_package(Wayland REQUIRED COMPONENTS Client)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)

pkg_check_modules(Libcec IMPORTED_TARGET libcec>=6)
add_feature_info(Libcec Libcec_FOUND "Adds support forr CEC devices")

pkg_check_modules(XWiimote IMPORTED_TARGET libxwiimote)
add_feature_info(XWiimote XWiimote_FOUND "Adds support for Wiimotes, not currently recommended due to unmaintained Wiimote")

pkg_check_modules(Evdev REQUIRED IMPORTED_TARGET libevdev)
add_feature_info(Evdev Evdev_FOUND "Adds support for controllers")

find_package(LibTaskManager REQUIRED)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_CXX_STANDARD 17)

find_package(PlasmaWaylandProtocols REQUIRED)
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(QtWaylandScanner REQUIRED)
endif()

add_subdirectory(src)
add_subdirectory(kcm)

configure_file(org.kde.plasma-remotecontrollers.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma-remotecontrollers.desktop @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma-remotecontrollers.desktop DESTINATION ${KDE_INSTALL_SYSCONFDIR}/xdg/autostart)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma-remotecontrollers.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES plasma-remotecontrollersrc DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES plasma-remotecontrollers.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
install(FILES 40-uinput.rules DESTINATION ${KDE_INSTALL_LIBDIR}/udev/rules.d)

install(FILES org.kde.plasma.remotecontrollers.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_qt_install_logging_categories(
        EXPORT PLASMARC
        FILE plasma-remotecontrollers.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kcm/CMakeLists.txt ===
include(ECMFindQmlModule)
ecm_find_qmlmodule(org.kde.plasma.core 2.0)

# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_mediacenter_remotecontrollers\")

########### next target ###############

set(kcm_mediacenter_remotecontrollers_PART_SRCS remotecontroller.cpp kcmdbusinterface.cpp keydisplayprovider.cpp keymapmodel.cpp devicesmodel.cpp
    remotecontroller.h kcmdbusinterface.h keydisplayprovider.h keymapmodel.h devicesmodel.h)

add_library(kcm_mediacenter_remotecontrollers MODULE ${kcm_mediacenter_remotecontrollers_PART_SRCS})

target_link_libraries(kcm_mediacenter_remotecontrollers
    Qt::DBus
    KF5::I18n
    KF5::KCMUtils
    KF5::QuickAddons
)

########### install files ###############

install(TARGETS kcm_mediacenter_remotecontrollers DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
install(FILES kcm_mediacenter_remotecontrollers.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR})
kpackage_install_package(package kcm_mediacenter_remotecontrollers kcms)

=== src/CMakeLists.txt ===
ecm_qt_declare_logging_category(SRCS HEADER plasmarc-evdev-debug.h IDENTIFIER PLASMARC_EVDEV CATEGORY_NAME org.kde.plasma.remotecontrollers.evdev DESCRIPTION "Plasma Remote Controllers - evdev" DEFAULT_SEVERITY Info EXPORT PLASMARC)
ecm_qt_declare_logging_category(SRCS HEADER plasmarc-debug.h IDENTIFIER PLASMARC CATEGORY_NAME org.kde.plasma.remotecontrollers DESCRIPTION "Plasma Remote Controllers" DEFAULT_SEVERITY Info EXPORT PLASMARC)

add_executable(plasma-remotecontrollers)
if (QT_MAJOR_VERSION EQUAL "5")
    ecm_add_qtwayland_client_protocol(SRCS
        PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml
        BASENAME fake-input
    )
else()
    qt6_generate_wayland_protocol_client_sources(plasma-remotecontrollers FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml)
endif()
qt_add_dbus_interface(SRCS ${SCREENSAVER_DBUS_INTERFACE} screensaver_interface)

target_sources(plasma-remotecontrollers PRIVATE
    main.cpp
    controllermanager.cpp
    notificationsmanager.cpp
    device.cpp
    abstractsystem.cpp
    uinputsystem.cpp
    kwinfakeinputsystem.cpp
    evdev/evdevcontroller.cpp
    evdev/evdevdbusinterface.cpp
    controllermanagerdbusinterface.cpp
    controllermanager.h
    notificationsmanager.h
    device.h
    abstractsystem.h
    uinputsystem.h
    kwinfakeinputsystem.h
    evdev/evdevcontroller.h
    evdev/evdevdbusinterface.h
    controllermanagerdbusinterface.h
    ${SRCS}
)

target_link_libraries(plasma-remotecontrollers
    ${CMAKE_DL_LIBS}
    Qt::Core
    Qt::DBus
    Qt::Gui
    Qt::WaylandClient
    KF5::ConfigCore
    KF5::Notifications
    KF5::Solid
    KF5::I18n
    KF5::DBusAddons
    KF5::CoreAddons
    KF5::WindowSystem
    PW::LibTaskManager
    PkgConfig::Evdev
    Wayland::Client
)
target_compile_definitions(plasma-remotecontrollers PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

kconfig_add_kcfg_files(plasma-remotecontrollers remotecontrollers.kcfgc GENERATE_MOC)

if(XWiimote_FOUND)
    set(WIIMOTE_SRCS
        wiimote/wiimotecontroller.cpp
        wiimote/wiimote.cpp)
    target_sources(plasma-remotecontrollers PUBLIC ${WIIMOTE_SRCS})
    target_link_libraries(plasma-remotecontrollers PkgConfig::XWiimote)
    add_definitions(-DHAS_XWIIMOTE)
endif()

if (TARGET PkgConfig::Libcec)
    set(LIBCEC_SRCS libcec/ceccontroller.cpp)
    target_sources(plasma-remotecontrollers PUBLIC ${LIBCEC_SRCS})
    target_link_libraries(plasma-remotecontrollers PkgConfig::Libcec)
    add_definitions(-DHAS_LIBCEC)
endif()

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/remotecontrollers)

install(FILES libcec/org.kde.plasma.remotecontrollers.CEC.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES evdev/org.kde.plasma.remotecontrollers.EVDEV.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES org.kde.plasma.remotecontrollers.ControllerManager.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

install(TARGETS plasma-remotecontrollers DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## plasma-remotecontrollers 5.27.3

=== debian/changelog ===
plasma-remotecontrollers (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:45 +0000

plasma-remotecontrollers (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:24:27 +0000

plasma-remotecontrollers (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:48:10 +0000

plasma-remotecontrollers (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:42:13 +0000

plasma-remotecontrollers (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * New build depend on kscreenlocker-dev.y

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:31:08 +0000

plasma-remotecontrollers (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)
  * Keep plasma-workspace-dev build dep at 5.26.4

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:30:28 +0000

plasma-remotecontrollers (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps bumped to current versions.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 09:05:44 +0000

plasma-remotecontrollers (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:10:47 +0100

plasma-remotecontrollers (5.26.4-0ubuntu2) lunar; urgency=medium

  * Bump plasma-workspace-dev build dep to (>= 4:5.26.4.1~)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 15:02:45 +0000

plasma-remotecontrollers (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:05:07 +0000

plasma-remotecontrollers (5.26.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 09 Nov 2022 23:36:32 +0100

plasma-remotecontrollers (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 16:05:17 +0100

plasma-remotecontrollers (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:37:18 +0200

plasma-remotecontrollers (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:26 +0200

plasma-remotecontrollers (5.25.90-1) experimental; urgency=medium

  * Fix license description for GPL 2 or 3 or any later version accepted by
    the membership of KDE e.V..
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Add license information for
    org.kde.plasma.remotecontrollers.metainfo.xml

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:22 +0200

plasma-remotecontrollers (5.24.90-1) unstable; urgency=medium

  * Initial release. (Closes: #1011327)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 09:15:42 +0200

=== debian/control ===
Source: plasma-remotecontrollers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               kscreenlocker-dev (>= 5.27.3~),
               libcec-dev (>= 6~),
               libevdev-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libp8-platform-dev,
               libqt5waylandclient5-dev (>= 5.15.2~),
               libudev-dev,
               libwayland-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-wayland-protocols,
               plasma-workspace-dev (>= 4:5.27.3~),
               qtbase5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma-bigscreen/plasma-remotecontrollers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-remotecontrollers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-remotecontrollers
Rules-Requires-Root: no

Package: plasma-remotecontrollers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Remote controller support for the Plasma desktop
 Translate various input device events into keyboard and pointer events.

## plasma-remotecontrollers 5.27.4

=== debian/changelog ===
plasma-remotecontrollers (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
-               kscreenlocker-dev (>= 5.27.3~),
+               kscreenlocker-dev (>= 5.27.4~),
                libcec-dev (>= 6~),
                libevdev-dev,
                libkf5config-dev (>= 5.102.0~),
@@ -26,7 +26,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                plasma-wayland-protocols,
-               plasma-workspace-dev (>= 4:5.27.3~),
+               plasma-workspace-dev (>= 4:5.27.4~),
                qtbase5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
 Standards-Version: 4.6.1

## plasma-remotecontrollers 5.27.5

=== debian/changelog ===
plasma-remotecontrollers (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:47 +0200

plasma-remotecontrollers (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:29:52 +0200

plasma-remotecontrollers (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:19:57 +0100

plasma-remotecontrollers (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:50 +0100

plasma-remotecontrollers (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:48 +0100

plasma-remotecontrollers (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:59 +0100

plasma-remotecontrollers (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:51 +0100

=== debian/control ===
Source: plasma-remotecontrollers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               kscreenlocker-dev,
               libcec-dev (>= 6~),
               libevdev-dev,
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5declarative-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kcmutils-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5package-dev (>= 5.68.0~),
               libkf5solid-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libp8-platform-dev,
               libqt5waylandclient5-dev (>= 5.15.2~),
               libudev-dev,
               libwayland-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-wayland-protocols,
               plasma-workspace-dev,
               qtbase5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-bigscreen/plasma-remotecontrollers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-remotecontrollers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-remotecontrollers.git
Rules-Requires-Root: no

Package: plasma-remotecontrollers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Remote controller support for the Plasma desktop
 Translate various input device events into keyboard and pointer events.

## plasma-remotecontrollers 5.27.8

=== debian/changelog ===
plasma-remotecontrollers (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:55 +0100

plasma-remotecontrollers (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0.
    - Plasma build deps at 5.27.7.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:08:28 +0100

plasma-remotecontrollers (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:56:06 +0200

plasma-remotecontrollers (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:16:10 +0100

plasma-remotecontrollers (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:45 +0100

plasma-remotecontrollers (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:37 +0100

=== debian/control ===
Source: plasma-remotecontrollers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               kscreenlocker-dev (>= 5.27.8~),
               libcec-dev (>= 6~),
               libevdev-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libp8-platform-dev,
               libqt5waylandclient5-dev (>= 5.15.2~),
               libudev-dev,
               libwayland-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-wayland-protocols,
               plasma-workspace-dev (>= 4:5.27.8~),
               qtbase5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-bigscreen/plasma-remotecontrollers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-remotecontrollers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-remotecontrollers
Rules-Requires-Root: no

Package: plasma-remotecontrollers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Remote controller support for the Plasma desktop
 Translate various input device events into keyboard and pointer events.

## plasma-remotecontrollers 5.27.10

=== debian/changelog ===
plasma-remotecontrollers (5.27.10-0xneon+22.04+jammy+release+build23) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 07:03:20 +0000

plasma-remotecontrollers (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 07:02:07 +0000

plasma-remotecontrollers (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:07:10 +0000

plasma-remotecontrollers (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:14:38 +0000

plasma-remotecontrollers (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:28:21 +0000

plasma-remotecontrollers (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:16:43 +0000

plasma-remotecontrollers (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:44:02 +0000

plasma-remotecontrollers (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:40:14 +0000

plasma-remotecontrollers (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:21:25 +0000

plasma-remotecontrollers (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:13:39 +0000

plasma-remotecontrollers (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:42:44 +0000

plasma-remotecontrollers (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:57:03 +0000

plasma-remotecontrollers (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:53:19 +0000

plasma-remotecontrollers (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:51:50 +0000

plasma-remotecontrollers (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:30:05 +0000

plasma-remotecontrollers (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:26:01 +0000

=== debian/control ===
Source: plasma-remotecontrollers
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kscreenlocker-dev,
               libcec-dev,
               libevdev-dev,
               libkf5config-dev (>= 5.30.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kcmutils-dev,
               libkf5notifications-dev (>= 5.30.0~),
               libkf5package-dev,
               libkf5solid-dev (>= 5.30.0~),
               libp8-platform-dev,
               libqt5waylandclient5-dev,
               libudev-dev,
               libwayland-dev,
               pkg-kde-tools (>= 0.15.16),
               plasma-wayland-protocols,
               plasma-workspace-dev,
               qtbase5-dev (>= 5.14.0~),
               qtwayland5-dev-tools
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma-bigscreen/plasma-remotecontrol
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-remotecontrollers.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-remotecontrollers
Maintainer: Neon CI <neon@kde.org>

Package: plasma-remotecontrollers
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Remote Controller Support
 Translate various input device events into keyboard and pointer events

## plasma-remotecontrollers 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(plasma-remotecontrollers)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== debian/changelog ===
plasma-remotecontrollers (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:28 +1100

plasma-remotecontrollers (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:28 +0000

plasma-remotecontrollers (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:27:55 +0000

plasma-remotecontrollers (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:17:16 -0700

plasma-remotecontrollers (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:27:52 +0100

plasma-remotecontrollers (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:53 +0000

plasma-remotecontrollers (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:57 +0200

plasma-remotecontrollers (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:20:08 +0100

plasma-remotecontrollers (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:31:11 +0200

=== debian/control ===
Source: plasma-remotecontrollers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               kscreenlocker-dev (>= 5.27.11~),
               libcec-dev (>= 6~),
               libevdev-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libp8-platform-dev,
               libqt5waylandclient5-dev (>= 5.15.2~),
               libudev-dev,
               libwayland-dev,
               pkg-kde-tools (>= 0.15.18~),
               pkgconf,
               plasma-wayland-protocols,
               plasma-workspace-dev (>= 4:5.27.11~),
               qtbase5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-bigscreen/plasma-remotecontrollers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-remotecontrollers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-remotecontrollers
Rules-Requires-Root: no

Package: plasma-remotecontrollers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Remote controller support for the Plasma desktop
 Translate various input device events into keyboard and pointer events.

## plasma-remotecontrollers 6.0.0+p24.04+vunstable+git20260103.0331

=== debian/changelog ===
plasma-remotecontrollers (6.0.0+p24.04+vunstable+git20260103.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:31:03 +0000

plasma-remotecontrollers (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 07:02:07 +0000

## plasma-remotecontrollers 6.0.0+p24.04+vunstable+git20260123.0606

=== kcm/CMakeLists.txt ===
include(ECMFindQmlModule)
ecm_find_qmlmodule(org.kde.plasma.core 2.0)

# KI18N Translation Domain for this library.
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_mediacenter_remotecontrollers\")

set(kcm_mediacenter_remotecontrollers_SRCS remotecontroller.cpp kcmdbusinterface.cpp keydisplayprovider.cpp keymapmodel.cpp devicesmodel.cpp
    remotecontroller.h kcmdbusinterface.h keydisplayprovider.h keymapmodel.h devicesmodel.h)

kcmutils_add_qml_kcm(kcm_mediacenter_remotecontrollers SOURCES ${kcm_mediacenter_remotecontrollers_SRCS})
target_link_libraries(kcm_mediacenter_remotecontrollers PRIVATE
    Qt::DBus
    KF6::I18n
    KF6::KCMUtilsQuick
)

=== debian/changelog ===
plasma-remotecontrollers (6.0.0+p24.04+vunstable+git20260123.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 06:06:52 +0000

=== debian/control ===
Source: plasma-remotecontrollers
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-solid-dev,
               kscreenlocker-dev,
               libcec-dev,
               libevdev-dev,
               libp8-platform-dev,
               libudev-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               plasma-workspace-dev,
               qt6-base-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-bigscreen/plasma-remotecontrol
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-remotecontrollers.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-remotecontrollers
Maintainer: Neon CI <neon@kde.org>

Package: plasma-remotecontrollers
Architecture: any
Depends: kf6-kcmutils,
         kf6-kirigami2,
         kf6-kitemmodels,
         libcec6,
         libplasma6,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Remote Controller Support
 Translate various input device events into keyboard and pointer events

## plasma-remotecontrollers 6.0.0+p24.04+vunstable+git20260130.1420

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(plasma-remotecontrollers)
-set(PROJECT_VERSION "5.27.11")
-set(PROJECT_VERSION_MAJOR 5)
+set(PROJECT_VERSION "6.4.50")
+set(PROJECT_VERSION_MAJOR 6)
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.68.0")
+set(QT_MIN_VERSION "6.4.0")
+set(KF_MIN_VERSION "6.0.0")
 
-find_package(ECM CONFIG REQUIRED)
+find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(FeatureSummary)
@@ -16,14 +16,16 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
+remove_definitions(-DQT_NO_CAST_FROM_ASCII)
+
 find_package(PkgConfig REQUIRED)
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     DBus
     Gui
     WaylandClient
 )
-find_package(KF5 ${KF_MIN_VERSION} COMPONENTS REQUIRED
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS REQUIRED
     Config
     Notifications
     I18n
@@ -34,12 +36,20 @@
     KCMUtils
     Package
     WindowSystem
+    StatusNotifierItem
 )
 find_package(Wayland REQUIRED COMPONENTS Client)
 find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
 
 pkg_check_modules(Libcec IMPORTED_TARGET libcec>=6)
-add_feature_info(Libcec Libcec_FOUND "Adds support forr CEC devices")
+add_feature_info(Libcec Libcec_FOUND "Adds support for CEC devices")
+
+find_package(SDL3)
+set_package_properties(SDL3 PROPERTIES
+        TYPE OPTIONAL
+        PURPOSE "Required for building SDL3 joystick support  "
+)
+add_feature_info(SDL3 SDL3_FOUND "Adds support for joystick using SDL3")
 
 pkg_check_modules(XWiimote IMPORTED_TARGET libxwiimote)
 add_feature_info(XWiimote XWiimote_FOUND "Adds support for Wiimotes, not currently recommended due to unmaintained Wiimote")
@@ -54,9 +64,6 @@
 set(CMAKE_CXX_STANDARD 17)
 
 find_package(PlasmaWaylandProtocols REQUIRED)
-if (QT_MAJOR_VERSION EQUAL "5")
-    find_package(QtWaylandScanner REQUIRED)
-endif()
 
 add_subdirectory(src)
 add_subdirectory(kcm)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,10 @@
 ecm_qt_declare_logging_category(SRCS HEADER plasmarc-debug.h IDENTIFIER PLASMARC CATEGORY_NAME org.kde.plasma.remotecontrollers DESCRIPTION "Plasma Remote Controllers" DEFAULT_SEVERITY Info EXPORT PLASMARC)
 
 add_executable(plasma-remotecontrollers)
-if (QT_MAJOR_VERSION EQUAL "5")
-    ecm_add_qtwayland_client_protocol(SRCS
-        PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml
-        BASENAME fake-input
-    )
-else()
-    qt6_generate_wayland_protocol_client_sources(plasma-remotecontrollers FILES
-        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml)
+if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
+    set(private_code_option  "PRIVATE_CODE")
 endif()
+qt6_generate_wayland_protocol_client_sources(plasma-remotecontrollers FILES ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml ${private_code_option})
 qt_add_dbus_interface(SRCS ${SCREENSAVER_DBUS_INTERFACE} screensaver_interface)
 
 target_sources(plasma-remotecontrollers PRIVATE
@@ -42,13 +37,14 @@
     Qt::DBus
     Qt::Gui
     Qt::WaylandClient
-    KF5::ConfigCore
-    KF5::Notifications
-    KF5::Solid
-    KF5::I18n
-    KF5::DBusAddons
-    KF5::CoreAddons
-    KF5::WindowSystem
+    KF6::ConfigCore
+    KF6::Notifications
+    KF6::Solid
+    KF6::I18n
+    KF6::DBusAddons
+    KF6::CoreAddons
+    KF6::WindowSystem
+    KF6::StatusNotifierItem
     PW::LibTaskManager
     PkgConfig::Evdev
     Wayland::Client
@@ -59,7 +55,7 @@
 
 if(XWiimote_FOUND)
     set(WIIMOTE_SRCS
-        wiimote/wiimotecontroller.cpp
+        wiimote/wiimotecontroller.cpp wiimote/wiimotecontroller.h
         wiimote/wiimote.cpp)
     target_sources(plasma-remotecontrollers PUBLIC ${WIIMOTE_SRCS})
     target_link_libraries(plasma-remotecontrollers PkgConfig::XWiimote)
@@ -67,11 +63,26 @@
 endif()
 
 if (TARGET PkgConfig::Libcec)
-    set(LIBCEC_SRCS libcec/ceccontroller.cpp)
+    set(LIBCEC_SRCS libcec/ceccontroller.cpp libcec/ceccontroller.h)
     target_sources(plasma-remotecontrollers PUBLIC ${LIBCEC_SRCS})
     target_link_libraries(plasma-remotecontrollers PkgConfig::Libcec)
     add_definitions(-DHAS_LIBCEC)
 endif()
+
+if (SDL3_FOUND)
+    set(JOYSTICK_SRCS
+        sdljoystick/devicemodel.cpp
+        sdljoystick/devicemodel.h
+        sdljoystick/ksdljoystick.cpp
+        sdljoystick/ksdljoystick.h
+        sdljoystick/prjoystick.cpp
+        sdljoystick/prjoystick.h
+    )
+    target_sources(plasma-remotecontrollers PUBLIC ${JOYSTICK_SRCS})
+    target_link_libraries(plasma-remotecontrollers SDL3::SDL3)
+    add_definitions(-DHAS_SDL3)
+endif()
+
 
 install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/remotecontrollers)

=== debian/changelog ===
plasma-remotecontrollers (6.0.0+p24.04+vunstable+git20260130.1420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:20:16 +0000
